%define major   0
%define xmlcatalog      %{_sysconfdir}/xml/catalog
%define lib_name %mklibname %{name} %{major}

Summary:        ScrollKeeper is a cataloging system for documentation on open systems
Name:           scrollkeeper
Version:        0.3.14
Release:        %mkrel 12
Source0:        ftp://scrollkeeper.sourceforge.net/pub/scrollkeeper/%{name}-%{version}.tar.bz2
Source1:        scrollkeeper.logrotate
Patch0:		scrollkeeper-0.3.14-doublefree.patch.bz2
Patch1:		scrollkeeper-0.3.14-fix-mkdir-segfault.patch.bz2
Patch2:		03_language_fix.diff
Patch3:		06_clean_xml_validation_context.diff
Patch4:		08_rw_offset_fix.patch
License:        LGPL
Group:          Publishing
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:            http://scrollkeeper.sourceforge.net/
BuildRequires:  libxml2-devel >= 2.4.19
BuildRequires:  libxslt-devel
BuildRequires:  intltool >= 0.8.4
BuildRequires:  docbook-dtd412-xml
BuildRequires:  automake1.7
BuildRequires:	gettext-devel
Requires:       docbook-dtd412-xml
Requires:       docbook-dtd42-xml
Requires:       docbook-dtd43-xml
Requires(post):	libxml2-utils >= 2.4.19
Requires(preun):libxml2-utils >= 2.4.19
Requires(post):	%{lib_name} = %{version}-%{release}

%description 
ScrollKeeper is a cataloging system for documentation. It manages
documentation metadata (as specified by the Open Source Metadata
Framework (OMF)) and provides a simple API to allow help browsers to
find, sort, and search the document catalog. It will also be able to
communicate with catalog servers on the Net to search for documents
which are not on the local system.

%package -n %{lib_name}
Summary: Libraries for scrollkeeper.
Group: System/Libraries

%description -n %{lib_name}
These are the libraries for Scrollkeeper.

%package -n %{lib_name}-devel
Summary:	Includes and more to develop scrollkeeper applications
Group:		Development/C
Requires:	%{name} = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}
Provides: 	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
Libraries, include files and other resources you can use 
to develop Scrollkeeper applications.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p1 -b .doublefree
%patch1 -p1 -b .fixmkdir
%patch2 -p1
%patch3 -p1
%patch4 -p1

autoreconf
#force new libtool
#libtoolize
#aclocal-1.7
#automake-1.7
#autoconf

%build
%configure2_5x --localstatedir=%{_var} --with-omfdirs=%{_datadir}/omf

%make

%install
rm -rf $RPM_BUILD_ROOT


%makeinstall_std

# remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_localstatedir}/scrollkeeper/* \
 $RPM_BUILD_ROOT%{_var}/log/scrollkeeper.log

%{find_lang} %{name}

mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/scrollkeeper

# logrotate
install -d -m 755 %{buildroot}%{_sysconfdir}/logrotate.d
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
rm -rf %{_datadir}/scrollkeeper/Templates

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%post
if [ "$1" = "2" ]; then
  # Upgrading
  echo "`date +"%b %d %X"` Upgrading to ScrollKeeper `scrollkeeper-config --version`..." >> /var/log/scrollkeeper.log
fi
if [ "$1" = "1" ]; then
  # Installing
  echo "`date +"%b %d %X"` Installing ScrollKeeper `scrollkeeper-config --version`..." >> /var/log/scrollkeeper.log
fi
%{_bindir}/xmlcatalog --noout --add "public" \
        "-//OMF//DTD Scrollkeeper OMF Variant V1.0//EN" \
        "%{_datadir}/xml/scrollkeeper/dtds/scrollkeeper-omf.dtd" %xmlcatalog

scrollkeeper-rebuilddb -q -p %{_localstatedir}/scrollkeeper || true

%preun
if [ "$1" = "0" -a -f %xmlcatalog -a -x %{_bindir}/xmlcatalog ] ; then
  %{_bindir}/xmlcatalog --noout --del \
	"%{_datadir}/xml/scrollkeeper/dtds/scrollkeeper-omf.dtd" %xmlcatalog
fi

%postun
if [ "$1" = "0" ]; then
  # SK is being removed, not upgraded.  
  #  ie. erase {localstatedir}/lib/scrollkeeper.
  rm -rf %{_localstatedir}/scrollkeeper
  rm -rf /var/log/scrollkeeper.log 
  rm -rf /var/log/scrollkeeper.log.1

fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING AUTHORS README ChangeLog NEWS INSTALL
%config(noreplace) %{_sysconfdir}/*
%{_bindir}/*
%{_mandir}/man*/*
%{_datadir}/scrollkeeper
%{_datadir}/omf
%{_datadir}/xml/scrollkeeper
%dir %{_localstatedir}/scrollkeeper

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la


%changelog
* Thu Mar 06 2008 Texstar <texstar@gmail.com> 0.3.14-12pclos2007
- apply bug fix patches

* Mon Nov 06 2006 Bart the Build Bot <bartbot at pclinuxos dot com> 0.3.14-11pclos2007
- Build for PCLinuxOS 2007